"Fossies" - the Fresh Open Source Software Archive

Member "scalpel-2.0/tre-0.7.5-win32/Makefile" (20 Apr 2011, 22404 Bytes) of archive /linux/misc/scalpel-2.0.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
    2 # Makefile.  Generated from Makefile.in by configure.
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005  Free Software Foundation, Inc.
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 
   16 
   17 srcdir = .
   18 top_srcdir = .
   19 
   20 pkgdatadir = $(datadir)/tre
   21 pkglibdir = $(libdir)/tre
   22 pkgincludedir = $(includedir)/tre
   23 top_builddir = .
   24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   25 INSTALL = /usr/bin/install -c
   26 install_sh_DATA = $(install_sh) -c -m 644
   27 install_sh_PROGRAM = $(install_sh) -c
   28 install_sh_SCRIPT = $(install_sh) -c
   29 INSTALL_HEADER = $(INSTALL_DATA)
   30 transform = $(program_transform_name)
   31 NORMAL_INSTALL = :
   32 PRE_INSTALL = :
   33 POST_INSTALL = :
   34 NORMAL_UNINSTALL = :
   35 PRE_UNINSTALL = :
   36 POST_UNINSTALL = :
   37 build_triplet = x86_64-unknown-linux-gnu
   38 host_triplet = x86_64-unknown-linux-gnu
   39 target_triplet = x86_64-unknown-linux-gnu
   40 subdir = .
   41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
   42 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
   43 	$(srcdir)/tre.pc.in $(srcdir)/tre.spec.in \
   44 	$(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING.LESSER \
   45 	ChangeLog INSTALL NEWS THANKS TODO
   46 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   47 am__aclocal_m4_deps = $(top_srcdir)/gnulib/m4/getopt.m4 \
   48 	$(top_srcdir)/gnulib/m4/gnulib-comp.m4 \
   49 	$(top_srcdir)/gnulib/m4/onceonly_2_57.m4 \
   50 	$(top_srcdir)/gnulib/m4/unistd_h.m4 \
   51 	$(top_srcdir)/m4/ac_libtool_tags.m4 \
   52 	$(top_srcdir)/m4/ax_check_funcs_comp.m4 \
   53 	$(top_srcdir)/m4/ax_check_sign.m4 \
   54 	$(top_srcdir)/m4/ax_decl_wchar_max.m4 \
   55 	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
   56 	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
   57 	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
   58 	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
   59 	$(top_srcdir)/m4/vl_prog_cc_warnings.m4 \
   60 	$(top_srcdir)/configure.ac
   61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   62 	$(ACLOCAL_M4)
   63 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   64  configure.lineno configure.status.lineno
   65 mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
   66 CONFIG_HEADER = config.h $(top_builddir)/lib/tre-config.h
   67 CONFIG_CLEAN_FILES = tre.pc tre.spec
   68 SOURCES =
   69 DIST_SOURCES =
   70 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   71 	html-recursive info-recursive install-data-recursive \
   72 	install-exec-recursive install-info-recursive \
   73 	install-recursive installcheck-recursive installdirs-recursive \
   74 	pdf-recursive ps-recursive uninstall-info-recursive \
   75 	uninstall-recursive
   76 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
   77 am__vpath_adj = case $$p in \
   78     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
   79     *) f=$$p;; \
   80   esac;
   81 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
   82 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
   83 pkgconfigDATA_INSTALL = $(INSTALL_DATA)
   84 DATA = $(pkgconfig_DATA)
   85 ETAGS = etags
   86 CTAGS = ctags
   87 DIST_SUBDIRS = gnulib lib src doc tests utils po m4
   88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   89 distdir = $(PACKAGE)-$(VERSION)
   90 top_distdir = $(distdir)
   91 am__remove_distdir = \
   92   { test ! -d $(distdir) \
   93     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
   94          && rm -fr $(distdir); }; }
   95 DIST_ARCHIVES = $(distdir).tar.gz
   96 GZIP_ENV = --best
   97 distuninstallcheck_listfiles = find . -type f -print
   98 distcleancheck_listfiles = find . -type f -print
   99 ACLOCAL = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run aclocal-1.9
  100 ALLOCA = 
  101 AMDEP_FALSE = #
  102 AMDEP_TRUE = 
  103 AMTAR = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run tar
  104 AR = ar
  105 AS = as
  106 AUTOCONF = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run autoconf
  107 AUTOHEADER = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run autoheader
  108 AUTOMAKE = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run automake-1.9
  109 AWK = mawk
  110 CC = gcc
  111 CCDEPMODE = depmode=gcc3
  112 CFLAGS = -g -O2 -Wall
  113 CPP = gcc -E
  114 CPPFLAGS = 
  115 CYGPATH_W = echo
  116 DEFS = -DHAVE_CONFIG_H
  117 DEPDIR = .deps
  118 DLLTOOL = dlltool
  119 ECHO = echo
  120 ECHO_C = 
  121 ECHO_N = -n
  122 ECHO_T = 
  123 EGREP = /bin/grep -E
  124 EXEEXT = 
  125 GETOPT_H = 
  126 GL_COND_LIBTOOL_FALSE = #
  127 GL_COND_LIBTOOL_TRUE = 
  128 GMSGFMT = :
  129 GREP = /bin/grep
  130 INSTALL_DATA = ${INSTALL} -m 644
  131 INSTALL_PROGRAM = ${INSTALL}
  132 INSTALL_SCRIPT = ${INSTALL}
  133 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
  134 INTLLIBS = 
  135 INTL_MACOSX_LIBS = 
  136 LDFLAGS = 
  137 LIBICONV = -liconv
  138 LIBINTL = 
  139 LIBOBJS = 
  140 LIBS = 
  141 LIBTOOL = $(SHELL) $(top_builddir)/libtool
  142 LN_S = ln -s
  143 LTLIBICONV = -liconv
  144 LTLIBINTL = 
  145 LTLIBOBJS = 
  146 MAKEINFO = ${SHELL} /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/missing --run makeinfo
  147 MKINSTALLDIRS = $(top_builddir)/utils/mkinstalldirs
  148 MSGFMT = :
  149 MSGMERGE = :
  150 OBJDUMP = objdump
  151 OBJEXT = o
  152 PACKAGE = tre
  153 PACKAGE_BUGREPORT = tre-general@lists.laurikari.net
  154 PACKAGE_NAME = TRE
  155 PACKAGE_STRING = TRE 0.7.5
  156 PACKAGE_TARNAME = tre
  157 PACKAGE_VERSION = 0.7.5
  158 PATH_SEPARATOR = :
  159 POSUB = po
  160 RANLIB = ranlib
  161 SET_MAKE = 
  162 SHELL = /bin/bash
  163 STRIP = strip
  164 TRE_AGREP_FALSE = #
  165 TRE_AGREP_TRUE = 
  166 TRE_APPROX_FALSE = #
  167 TRE_APPROX_TRUE = 
  168 TRE_DEBUG_FALSE = 
  169 TRE_DEBUG_TRUE = #
  170 TRE_PROFILE_FALSE = 
  171 TRE_PROFILE_TRUE = #
  172 TRE_VERSION = 0.7.5
  173 UNISTD_H = 
  174 USE_NLS = yes
  175 VERSION = 0.7.5
  176 XGETTEXT = :
  177 ac_ct_CC = gcc
  178 am__fastdepCC_FALSE = #
  179 am__fastdepCC_TRUE = 
  180 am__include = include
  181 am__leading_dot = .
  182 am__quote = 
  183 am__tar = ${AMTAR} chof - "$$tardir"
  184 am__untar = ${AMTAR} xf -
  185 bindir = ${exec_prefix}/bin
  186 build = x86_64-unknown-linux-gnu
  187 build_alias = 
  188 build_cpu = x86_64
  189 build_os = linux-gnu
  190 build_vendor = unknown
  191 datadir = ${datarootdir}
  192 datarootdir = ${prefix}/share
  193 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  194 dvidir = ${docdir}
  195 exec_prefix = ${prefix}
  196 gl_LIBOBJS = 
  197 gl_LTLIBOBJS = 
  198 host = x86_64-unknown-linux-gnu
  199 host_alias = 
  200 host_cpu = x86_64
  201 host_os = linux-gnu
  202 host_vendor = unknown
  203 htmldir = ${docdir}
  204 includedir = ${prefix}/include
  205 infodir = ${datarootdir}/info
  206 install_sh = /mnt/hgfs/Work/Scalpel/dist/tre-0.7.5-win32/utils/install-sh
  207 libdir = ${exec_prefix}/lib
  208 libexecdir = ${exec_prefix}/libexec
  209 localedir = ${datarootdir}/locale
  210 localstatedir = ${prefix}/var
  211 mandir = ${datarootdir}/man
  212 mkdir_p = mkdir -p --
  213 oldincludedir = /usr/include
  214 pdfdir = ${docdir}
  215 prefix = /usr/local
  216 program_transform_name = s,x,x,
  217 psdir = ${docdir}
  218 sbindir = ${exec_prefix}/sbin
  219 sharedstatedir = ${prefix}/com
  220 sysconfdir = ${prefix}/etc
  221 target = x86_64-unknown-linux-gnu
  222 target_alias = 
  223 target_cpu = x86_64
  224 target_os = linux-gnu
  225 target_vendor = unknown
  226 #agrep_dirs = 
  227 agrep_dirs = src doc
  228 SUBDIRS = gnulib lib $(agrep_dirs) tests utils po m4
  229 EXTRA_DIST = \
  230 	utils/config.rpath  \
  231 	LICENSE \
  232 	win32/tre-config.h win32/config.h \
  233 	win32/tre.dsw \
  234 	win32/tre.dsp win32/tre.def \
  235 	win32/retest.dsp \
  236 	python/tre-python.c \
  237 	python/setup.py \
  238 	python/example.py
  239 
  240 ACLOCAL_AMFLAGS = -I m4 -I gnulib/m4
  241 AC_CONFIG_AUX_DIR = utils
  242 pkgconfigdir = $(libdir)/pkgconfig
  243 pkgconfig_DATA = tre.pc
  244 all: config.h
  245 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  246 
  247 .SUFFIXES:
  248 am--refresh:
  249 	@:
  250 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  251 	@for dep in $?; do \
  252 	  case '$(am__configure_deps)' in \
  253 	    *$$dep*) \
  254 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
  255 	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
  256 		&& exit 0; \
  257 	      exit 1;; \
  258 	  esac; \
  259 	done; \
  260 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
  261 	cd $(top_srcdir) && \
  262 	  $(AUTOMAKE) --gnu  Makefile
  263 .PRECIOUS: Makefile
  264 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  265 	@case '$?' in \
  266 	  *config.status*) \
  267 	    echo ' $(SHELL) ./config.status'; \
  268 	    $(SHELL) ./config.status;; \
  269 	  *) \
  270 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  271 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  272 	esac;
  273 
  274 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  275 	$(SHELL) ./config.status --recheck
  276 
  277 $(top_srcdir)/configure:  $(am__configure_deps)
  278 	cd $(srcdir) && $(AUTOCONF)
  279 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  280 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  281 
  282 config.h: stamp-h1
  283 	@if test ! -f $@; then \
  284 	  rm -f stamp-h1; \
  285 	  $(MAKE) stamp-h1; \
  286 	else :; fi
  287 
  288 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  289 	@rm -f stamp-h1
  290 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  291 $(srcdir)/config.h.in:  $(am__configure_deps) 
  292 	cd $(top_srcdir) && $(AUTOHEADER)
  293 	rm -f stamp-h1
  294 	touch $@
  295 
  296 distclean-hdr:
  297 	-rm -f config.h stamp-h1
  298 tre.pc: $(top_builddir)/config.status $(srcdir)/tre.pc.in
  299 	cd $(top_builddir) && $(SHELL) ./config.status $@
  300 tre.spec: $(top_builddir)/config.status $(srcdir)/tre.spec.in
  301 	cd $(top_builddir) && $(SHELL) ./config.status $@
  302 
  303 mostlyclean-libtool:
  304 	-rm -f *.lo
  305 
  306 clean-libtool:
  307 	-rm -rf .libs _libs
  308 
  309 distclean-libtool:
  310 	-rm -f libtool
  311 uninstall-info-am:
  312 install-pkgconfigDATA: $(pkgconfig_DATA)
  313 	@$(NORMAL_INSTALL)
  314 	test -z "$(pkgconfigdir)" || $(mkdir_p) "$(DESTDIR)$(pkgconfigdir)"
  315 	@list='$(pkgconfig_DATA)'; for p in $$list; do \
  316 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  317 	  f=$(am__strip_dir) \
  318 	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
  319 	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
  320 	done
  321 
  322 uninstall-pkgconfigDATA:
  323 	@$(NORMAL_UNINSTALL)
  324 	@list='$(pkgconfig_DATA)'; for p in $$list; do \
  325 	  f=$(am__strip_dir) \
  326 	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
  327 	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
  328 	done
  329 
  330 # This directory's subdirectories are mostly independent; you can cd
  331 # into them and run `make' without going through this Makefile.
  332 # To change the values of `make' variables: instead of editing Makefiles,
  333 # (1) if the variable is set in `config.status', edit `config.status'
  334 #     (which will cause the Makefiles to be regenerated when you run `make');
  335 # (2) otherwise, pass the desired values on the `make' command line.
  336 $(RECURSIVE_TARGETS):
  337 	@failcom='exit 1'; \
  338 	for f in x $$MAKEFLAGS; do \
  339 	  case $$f in \
  340 	    *=* | --[!k]*);; \
  341 	    *k*) failcom='fail=yes';; \
  342 	  esac; \
  343 	done; \
  344 	dot_seen=no; \
  345 	target=`echo $@ | sed s/-recursive//`; \
  346 	list='$(SUBDIRS)'; for subdir in $$list; do \
  347 	  echo "Making $$target in $$subdir"; \
  348 	  if test "$$subdir" = "."; then \
  349 	    dot_seen=yes; \
  350 	    local_target="$$target-am"; \
  351 	  else \
  352 	    local_target="$$target"; \
  353 	  fi; \
  354 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  355 	  || eval $$failcom; \
  356 	done; \
  357 	if test "$$dot_seen" = "no"; then \
  358 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  359 	fi; test -z "$$fail"
  360 
  361 mostlyclean-recursive clean-recursive distclean-recursive \
  362 maintainer-clean-recursive:
  363 	@failcom='exit 1'; \
  364 	for f in x $$MAKEFLAGS; do \
  365 	  case $$f in \
  366 	    *=* | --[!k]*);; \
  367 	    *k*) failcom='fail=yes';; \
  368 	  esac; \
  369 	done; \
  370 	dot_seen=no; \
  371 	case "$@" in \
  372 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  373 	  *) list='$(SUBDIRS)' ;; \
  374 	esac; \
  375 	rev=''; for subdir in $$list; do \
  376 	  if test "$$subdir" = "."; then :; else \
  377 	    rev="$$subdir $$rev"; \
  378 	  fi; \
  379 	done; \
  380 	rev="$$rev ."; \
  381 	target=`echo $@ | sed s/-recursive//`; \
  382 	for subdir in $$rev; do \
  383 	  echo "Making $$target in $$subdir"; \
  384 	  if test "$$subdir" = "."; then \
  385 	    local_target="$$target-am"; \
  386 	  else \
  387 	    local_target="$$target"; \
  388 	  fi; \
  389 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  390 	  || eval $$failcom; \
  391 	done && test -z "$$fail"
  392 tags-recursive:
  393 	list='$(SUBDIRS)'; for subdir in $$list; do \
  394 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  395 	done
  396 ctags-recursive:
  397 	list='$(SUBDIRS)'; for subdir in $$list; do \
  398 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  399 	done
  400 
  401 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  402 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  403 	unique=`for i in $$list; do \
  404 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  405 	  done | \
  406 	  $(AWK) '    { files[$$0] = 1; } \
  407 	       END { for (i in files) print i; }'`; \
  408 	mkid -fID $$unique
  409 tags: TAGS
  410 
  411 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  412 		$(TAGS_FILES) $(LISP)
  413 	tags=; \
  414 	here=`pwd`; \
  415 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  416 	  include_option=--etags-include; \
  417 	  empty_fix=.; \
  418 	else \
  419 	  include_option=--include; \
  420 	  empty_fix=; \
  421 	fi; \
  422 	list='$(SUBDIRS)'; for subdir in $$list; do \
  423 	  if test "$$subdir" = .; then :; else \
  424 	    test ! -f $$subdir/TAGS || \
  425 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  426 	  fi; \
  427 	done; \
  428 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  429 	unique=`for i in $$list; do \
  430 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  431 	  done | \
  432 	  $(AWK) '    { files[$$0] = 1; } \
  433 	       END { for (i in files) print i; }'`; \
  434 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  435 	  test -n "$$unique" || unique=$$empty_fix; \
  436 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  437 	    $$tags $$unique; \
  438 	fi
  439 ctags: CTAGS
  440 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  441 		$(TAGS_FILES) $(LISP)
  442 	tags=; \
  443 	here=`pwd`; \
  444 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  445 	unique=`for i in $$list; do \
  446 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  447 	  done | \
  448 	  $(AWK) '    { files[$$0] = 1; } \
  449 	       END { for (i in files) print i; }'`; \
  450 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  451 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  452 	     $$tags $$unique
  453 
  454 GTAGS:
  455 	here=`$(am__cd) $(top_builddir) && pwd` \
  456 	  && cd $(top_srcdir) \
  457 	  && gtags -i $(GTAGS_ARGS) $$here
  458 
  459 distclean-tags:
  460 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  461 
  462 distdir: $(DISTFILES)
  463 	$(am__remove_distdir)
  464 	mkdir $(distdir)
  465 	$(mkdir_p) $(distdir)/. $(distdir)/doc $(distdir)/gnulib/m4 $(distdir)/m4 $(distdir)/po $(distdir)/python $(distdir)/utils $(distdir)/win32
  466 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  467 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  468 	list='$(DISTFILES)'; for file in $$list; do \
  469 	  case $$file in \
  470 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  471 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  472 	  esac; \
  473 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  474 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  475 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  476 	    dir="/$$dir"; \
  477 	    $(mkdir_p) "$(distdir)$$dir"; \
  478 	  else \
  479 	    dir=''; \
  480 	  fi; \
  481 	  if test -d $$d/$$file; then \
  482 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  483 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  484 	    fi; \
  485 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  486 	  else \
  487 	    test -f $(distdir)/$$file \
  488 	    || cp -p $$d/$$file $(distdir)/$$file \
  489 	    || exit 1; \
  490 	  fi; \
  491 	done
  492 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  493 	  if test "$$subdir" = .; then :; else \
  494 	    test -d "$(distdir)/$$subdir" \
  495 	    || $(mkdir_p) "$(distdir)/$$subdir" \
  496 	    || exit 1; \
  497 	    distdir=`$(am__cd) $(distdir) && pwd`; \
  498 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
  499 	    (cd $$subdir && \
  500 	      $(MAKE) $(AM_MAKEFLAGS) \
  501 	        top_distdir="$$top_distdir" \
  502 	        distdir="$$distdir/$$subdir" \
  503 	        distdir) \
  504 	      || exit 1; \
  505 	  fi; \
  506 	done
  507 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  508 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  509 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  510 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  511 	|| chmod -R a+r $(distdir)
  512 dist-gzip: distdir
  513 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  514 	$(am__remove_distdir)
  515 
  516 dist-bzip2: distdir
  517 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  518 	$(am__remove_distdir)
  519 
  520 dist-tarZ: distdir
  521 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  522 	$(am__remove_distdir)
  523 
  524 dist-shar: distdir
  525 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  526 	$(am__remove_distdir)
  527 
  528 dist-zip: distdir
  529 	-rm -f $(distdir).zip
  530 	zip -rq $(distdir).zip $(distdir)
  531 	$(am__remove_distdir)
  532 
  533 dist dist-all: distdir
  534 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  535 	$(am__remove_distdir)
  536 
  537 # This target untars the dist file and tries a VPATH configuration.  Then
  538 # it guarantees that the distribution is self-contained by making another
  539 # tarfile.
  540 distcheck: dist
  541 	case '$(DIST_ARCHIVES)' in \
  542 	*.tar.gz*) \
  543 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  544 	*.tar.bz2*) \
  545 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  546 	*.tar.Z*) \
  547 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  548 	*.shar.gz*) \
  549 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  550 	*.zip*) \
  551 	  unzip $(distdir).zip ;;\
  552 	esac
  553 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  554 	mkdir $(distdir)/_build
  555 	mkdir $(distdir)/_inst
  556 	chmod a-w $(distdir)
  557 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  558 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  559 	  && cd $(distdir)/_build \
  560 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  561 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  562 	  && $(MAKE) $(AM_MAKEFLAGS) \
  563 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  564 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  565 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  566 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  567 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  568 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  569 	        distuninstallcheck \
  570 	  && chmod -R a-w "$$dc_install_base" \
  571 	  && ({ \
  572 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  573 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  574 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  575 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  576 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  577 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  578 	  && rm -rf "$$dc_destdir" \
  579 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  580 	  && rm -rf $(DIST_ARCHIVES) \
  581 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  582 	$(am__remove_distdir)
  583 	@(echo "$(distdir) archives ready for distribution: "; \
  584 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  585 	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
  586 distuninstallcheck:
  587 	@cd $(distuninstallcheck_dir) \
  588 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  589 	   || { echo "ERROR: files left after uninstall:" ; \
  590 	        if test -n "$(DESTDIR)"; then \
  591 	          echo "  (check DESTDIR support)"; \
  592 	        fi ; \
  593 	        $(distuninstallcheck_listfiles) ; \
  594 	        exit 1; } >&2
  595 distcleancheck: distclean
  596 	@if test '$(srcdir)' = . ; then \
  597 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  598 	  exit 1 ; \
  599 	fi
  600 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  601 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  602 	       $(distcleancheck_listfiles) ; \
  603 	       exit 1; } >&2
  604 check-am: all-am
  605 check: check-recursive
  606 all-am: Makefile $(DATA) config.h
  607 installdirs: installdirs-recursive
  608 installdirs-am:
  609 	for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
  610 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
  611 	done
  612 install: install-recursive
  613 install-exec: install-exec-recursive
  614 install-data: install-data-recursive
  615 uninstall: uninstall-recursive
  616 
  617 install-am: all-am
  618 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  619 
  620 installcheck: installcheck-recursive
  621 install-strip:
  622 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  623 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  624 	  `test -z '$(STRIP)' || \
  625 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  626 mostlyclean-generic:
  627 
  628 clean-generic:
  629 
  630 distclean-generic:
  631 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  632 
  633 maintainer-clean-generic:
  634 	@echo "This command is intended for maintainers to use"
  635 	@echo "it deletes files that may require special tools to rebuild."
  636 clean: clean-recursive
  637 
  638 clean-am: clean-generic clean-libtool mostlyclean-am
  639 
  640 distclean: distclean-recursive
  641 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  642 	-rm -f Makefile
  643 distclean-am: clean-am distclean-generic distclean-hdr \
  644 	distclean-libtool distclean-tags
  645 
  646 dvi: dvi-recursive
  647 
  648 dvi-am:
  649 
  650 html: html-recursive
  651 
  652 info: info-recursive
  653 
  654 info-am:
  655 
  656 install-data-am: install-pkgconfigDATA
  657 
  658 install-exec-am:
  659 
  660 install-info: install-info-recursive
  661 
  662 install-man:
  663 
  664 installcheck-am:
  665 
  666 maintainer-clean: maintainer-clean-recursive
  667 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  668 	-rm -rf $(top_srcdir)/autom4te.cache
  669 	-rm -f Makefile
  670 maintainer-clean-am: distclean-am maintainer-clean-generic
  671 
  672 mostlyclean: mostlyclean-recursive
  673 
  674 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  675 
  676 pdf: pdf-recursive
  677 
  678 pdf-am:
  679 
  680 ps: ps-recursive
  681 
  682 ps-am:
  683 
  684 uninstall-am: uninstall-info-am uninstall-pkgconfigDATA
  685 
  686 uninstall-info: uninstall-info-recursive
  687 
  688 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
  689 	check-am clean clean-generic clean-libtool clean-recursive \
  690 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  691 	dist-shar dist-tarZ dist-zip distcheck distclean \
  692 	distclean-generic distclean-hdr distclean-libtool \
  693 	distclean-recursive distclean-tags distcleancheck distdir \
  694 	distuninstallcheck dvi dvi-am html html-am info info-am \
  695 	install install-am install-data install-data-am install-exec \
  696 	install-exec-am install-info install-info-am install-man \
  697 	install-pkgconfigDATA install-strip installcheck \
  698 	installcheck-am installdirs installdirs-am maintainer-clean \
  699 	maintainer-clean-generic maintainer-clean-recursive \
  700 	mostlyclean mostlyclean-generic mostlyclean-libtool \
  701 	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
  702 	uninstall uninstall-am uninstall-info-am \
  703 	uninstall-pkgconfigDATA
  704 
  705 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  706 # Otherwise a system limit (for SysV at least) may be exceeded.
  707 .NOEXPORT: